curl --request POST \
--url https://api.comfy.org/publishers/{publisherId}/nodes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"author": "<string>",
"banner_url": "<string>",
"category": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"downloads": 123,
"github_stars": 123,
"icon": "<string>",
"id": "<string>",
"latest_version": {
"changelog": "<string>",
"comfy_node_extract_status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dependencies": [
"<string>"
],
"deprecated": true,
"downloadUrl": "<string>",
"id": "<string>",
"node_id": "<string>",
"status_reason": "<string>",
"supported_accelerators": [
"<string>"
],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": [
"<string>"
],
"tags": [
"<string>"
],
"tags_admin": [
"<string>"
],
"version": "<string>"
},
"license": "<string>",
"name": "<string>",
"preempted_comfy_node_names": [
"<string>"
],
"publisher": {
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"logo": "<string>",
"members": [
{
"id": "<string>",
"role": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"name": "<string>",
"source_code_repo": "<string>",
"support": "<string>",
"website": "<string>"
},
"rating": 123,
"repository": "<string>",
"search_ranking": 123,
"status_detail": "<string>",
"supported_accelerators": [
"<string>"
],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": [
"<string>"
],
"tags": [
"<string>"
],
"tags_admin": [
"<string>"
],
"translations": {}
}
'import requests
url = "https://api.comfy.org/publishers/{publisherId}/nodes"
payload = {
"author": "<string>",
"banner_url": "<string>",
"category": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"downloads": 123,
"github_stars": 123,
"icon": "<string>",
"id": "<string>",
"latest_version": {
"changelog": "<string>",
"comfy_node_extract_status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dependencies": ["<string>"],
"deprecated": True,
"downloadUrl": "<string>",
"id": "<string>",
"node_id": "<string>",
"status_reason": "<string>",
"supported_accelerators": ["<string>"],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": ["<string>"],
"tags": ["<string>"],
"tags_admin": ["<string>"],
"version": "<string>"
},
"license": "<string>",
"name": "<string>",
"preempted_comfy_node_names": ["<string>"],
"publisher": {
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"logo": "<string>",
"members": [
{
"id": "<string>",
"role": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"name": "<string>",
"source_code_repo": "<string>",
"support": "<string>",
"website": "<string>"
},
"rating": 123,
"repository": "<string>",
"search_ranking": 123,
"status_detail": "<string>",
"supported_accelerators": ["<string>"],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": ["<string>"],
"tags": ["<string>"],
"tags_admin": ["<string>"],
"translations": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
author: '<string>',
banner_url: '<string>',
category: '<string>',
created_at: '2023-11-07T05:31:56Z',
description: '<string>',
downloads: 123,
github_stars: 123,
icon: '<string>',
id: '<string>',
latest_version: {
changelog: '<string>',
comfy_node_extract_status: '<string>',
createdAt: '2023-11-07T05:31:56Z',
dependencies: ['<string>'],
deprecated: true,
downloadUrl: '<string>',
id: '<string>',
node_id: '<string>',
status_reason: '<string>',
supported_accelerators: ['<string>'],
supported_comfyui_frontend_version: '<string>',
supported_comfyui_version: '<string>',
supported_os: ['<string>'],
tags: ['<string>'],
tags_admin: ['<string>'],
version: '<string>'
},
license: '<string>',
name: '<string>',
preempted_comfy_node_names: ['<string>'],
publisher: {
createdAt: '2023-11-07T05:31:56Z',
description: '<string>',
id: '<string>',
logo: '<string>',
members: [
{
id: '<string>',
role: '<string>',
user: {email: '<string>', id: '<string>', name: '<string>'}
}
],
name: '<string>',
source_code_repo: '<string>',
support: '<string>',
website: '<string>'
},
rating: 123,
repository: '<string>',
search_ranking: 123,
status_detail: '<string>',
supported_accelerators: ['<string>'],
supported_comfyui_frontend_version: '<string>',
supported_comfyui_version: '<string>',
supported_os: ['<string>'],
tags: ['<string>'],
tags_admin: ['<string>'],
translations: {}
})
};
fetch('https://api.comfy.org/publishers/{publisherId}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"author": "<string>",
"banner_url": "<string>",
"category": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"downloads": 123,
"github_stars": 123,
"icon": "<string>",
"id": "<string>",
"latest_version": {
"changelog": "<string>",
"comfy_node_extract_status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dependencies": [
"<string>"
],
"deprecated": true,
"downloadUrl": "<string>",
"id": "<string>",
"node_id": "<string>",
"status_reason": "<string>",
"supported_accelerators": [
"<string>"
],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": [
"<string>"
],
"tags": [
"<string>"
],
"tags_admin": [
"<string>"
],
"version": "<string>"
},
"license": "<string>",
"name": "<string>",
"preempted_comfy_node_names": [
"<string>"
],
"publisher": {
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"logo": "<string>",
"members": [
{
"id": "<string>",
"role": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"name": "<string>",
"source_code_repo": "<string>",
"support": "<string>",
"website": "<string>"
},
"rating": 123,
"repository": "<string>",
"search_ranking": 123,
"status_detail": "<string>",
"supported_accelerators": [
"<string>"
],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": [
"<string>"
],
"tags": [
"<string>"
],
"tags_admin": [
"<string>"
],
"translations": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Create a new custom node
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
URL to the node's banner.
DEPRECATED: The category of the node. Use 'tags' field instead. This field will be removed in a future version.
The date and time when the node was created
The number of downloads of the node.
Number of stars on the GitHub repository.
URL to the node's icon.
The unique identifier of the node.
Show child attributes
Show child attributes
The path to the LICENSE file in the node's repository.
The display name of the node.
A list of Comfy node names that are preempted by this node.
Show child attributes
Show child attributes
The average rating of the node.
URL to the node's repository.
A numerical value representing the node's search ranking, used for sorting search results.
NodeStatusActive, NodeStatusDeleted, NodeStatusBanned The status detail of the node.
List of accelerators (e.g. CUDA, DirectML, ROCm) that this node supports
Supported versions of ComfyUI frontend
Supported versions of ComfyUI
List of operating systems that this node supports
Admin-only tags for security warnings and admin metadata
Translations of node metadata in different languages.
Show child attributes
Show child attributes
Response
Node created successfully
URL to the node's banner.
DEPRECATED: The category of the node. Use 'tags' field instead. This field will be removed in a future version.
The date and time when the node was created
The number of downloads of the node.
Number of stars on the GitHub repository.
URL to the node's icon.
The unique identifier of the node.
Show child attributes
Show child attributes
The path to the LICENSE file in the node's repository.
The display name of the node.
A list of Comfy node names that are preempted by this node.
Show child attributes
Show child attributes
The average rating of the node.
URL to the node's repository.
A numerical value representing the node's search ranking, used for sorting search results.
NodeStatusActive, NodeStatusDeleted, NodeStatusBanned The status detail of the node.
List of accelerators (e.g. CUDA, DirectML, ROCm) that this node supports
Supported versions of ComfyUI frontend
Supported versions of ComfyUI
List of operating systems that this node supports
Admin-only tags for security warnings and admin metadata
Translations of node metadata in different languages.
Show child attributes
Show child attributes
Was this page helpful?